FIX::ThreadedSocketAcceptor::ConnectionThreadInfo Struct Reference
Collaboration diagram for FIX::ThreadedSocketAcceptor::ConnectionThreadInfo:
[legend]

## Public Member Functions

| ConnectionThreadInfo (ThreadedSocketAcceptor *pAcceptor, ThreadedSocketConnection *pConnection)

## Public Attributes

ThreadedSocketAcceptor * | m_pAcceptor
ThreadedSocketConnection * | m_pConnection

## Detailed Description

Definition at line 59 of file ThreadedSocketAcceptor.h.

## Constructor & Destructor Documentation

## ConnectionThreadInfo()

FIX::ThreadedSocketAcceptor::ConnectionThreadInfo::ConnectionThreadInfo | ( | ThreadedSocketAcceptor * | pAcceptor,
|  | ThreadedSocketConnection * | pConnection
| ) |  |

inline

Definition at line 61 of file ThreadedSocketAcceptor.h.

: m_pAcceptor( pAcceptor ), m_pConnection( pConnection ) {}
FIX::ThreadedSocketAcceptor::ConnectionThreadInfo::m_pAcceptor
ThreadedSocketAcceptor * m_pAcceptor
Definition: ThreadedSocketAcceptor.h:65
FIX::ThreadedSocketAcceptor::ConnectionThreadInfo::m_pConnection
ThreadedSocketConnection * m_pConnection
Definition: ThreadedSocketAcceptor.h:66

## Member Data Documentation

## m_pAcceptor

ThreadedSocketAcceptor* FIX::ThreadedSocketAcceptor::ConnectionThreadInfo::m_pAcceptor

Definition at line 65 of file ThreadedSocketAcceptor.h.

Referenced by FIX::ThreadedSocketAcceptor::socketConnectionThread().

## m_pConnection

ThreadedSocketConnection* FIX::ThreadedSocketAcceptor::ConnectionThreadInfo::m_pConnection

Definition at line 66 of file ThreadedSocketAcceptor.h.

Referenced by FIX::ThreadedSocketAcceptor::socketConnectionThread().

The documentation for this struct was generated from the following file:

- ThreadedSocketAcceptor.h